Sign up ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I'm trying to comiple Guake top-down terminal ( in Mac OS X. I've met a bunch of dependency issues while ./configure phase, but now I'm completely stuck with the following dependency issue:

checking for the python-vte package... no
configure: error: cannot import Python module "vte".
    Please check if you have python-vte installed. The error was:
    No module named vte

I've installed python, pygtk and vte via Homebrew but can't find anything related to python-vte, pip doesn't give me any suitable candidates. I've spent a lot of time while have been googling how to resolve this dependency and didn't find any references of python VTE bindings sources but saw many prebuilt packages for other OSes (

Did anybody meet this issue before or just knows how to resolve it? Thanks.

PS: Sorry for my intermediate English..

share|improve this question

migrated from Apr 14 '13 at 13:37

This question came from our site for system and network administrators.

2 Answers 2

Macport has it. You may install MacPort and do a

sudo port install vte

NB: Installing vte trough MacPort install a new python in /opt/local/ and vte gets installed in /opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/gtk-2.0

share|improve this answer
However - don't mix macports and homebrew, choose one or the other. –  Mark Apr 24 '13 at 11:00

You can do this via homebrew easily enough with:

brew install vte
share|improve this answer

Your Answer


By posting your answer, you agree to the privacy policy and terms of service.